## bambootracker 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)
project (BambooTracker VERSION 0.5.1 LANGUAGES C CXX)

option (INSTALL_FLAT
	"Install everything under CMAKE_INSTALL_PREFIX instead of using Unix-style directory layout (GNUInstallDirs)" ${WIN32}
)

if (NOT INSTALL_FLAT)
	include (GNUInstallDirs)
	set (BT_DATADIR "${CMAKE_INSTALL_DATADIR}/BambooTracker")
	set (BT_ICONDIR "${CMAKE_INSTALL_DATADIR}/icons/hicolor")
	set (BT_LANGDIR "${BT_DATADIR}/lang")
else()
	# Compatibility with QMake default
	if (WIN32 AND CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
		set (CMAKE_INSTALL_PREFIX "C:/BambooTracker" CACHE PATH "..." FORCE)
	endif()

	# Set GNUInstallDirs-style vars to PREFIX
	set (CMAKE_INSTALL_BINDIR "${CMAKE_INSTALL_PREFIX}")
	set (CMAKE_INSTALL_DATADIR "${CMAKE_INSTALL_PREFIX}")
	set (CMAKE_INSTALL_DOCDIR "${CMAKE_INSTALL_PREFIX}")
	set (CMAKE_INSTALL_MANDIR "${CMAKE_INSTALL_PREFIX}/man")

	set (BT_DATADIR "${CMAKE_INSTALL_PREFIX}")
	set (BT_ICONDIR "${CMAKE_INSTALL_PREFIX}/icons")
	set (BT_LANGDIR "${CMAKE_INSTALL_PREFIX}/lang")
endif()

install (FILES LICENSE DESTINATION "${CMAKE_INSTALL_DOCDIR}")
install (DIRECTORY licenses DESTINATION "${CMAKE_INSTALL_DOCDIR}")

add_subdirectory (submodules)
add_subdirectory (data)
add_subdirectory (BambooTracker)

=== BambooTracker/CMakeLists.txt ===
# C11 required
set (CMAKE_C_STANDARD 11)
set (CMAKE_C_STANDARD_REQUIRED ON)

# C++14 required
set (CMAKE_CXX_STANDARD 14)
set (CMAKE_CXX_STANDARD_REQUIRED ON)

set (BT_WARNFLAGS)
if (MSVC)
	list (APPEND BT_WARNFLAGS /W3 /utf-8 /D_CRT_SECURE_NO_WARNINGS)
else()
	list (APPEND BT_WARNFLAGS -Wall -Wextra -pedantic)
endif()

option (WARNINGS_ARE_ERRORS "Treat any warnings in BambooTracker's code as errors" ON)
if (WARNINGS_ARE_ERRORS)
	if (MSVC)
		list (APPEND BT_WARNFLAGS /WX)
	else()
		list (APPEND BT_WARNFLAGS -Werror -pedantic-errors)
	endif()
endif()

set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTORCC ON)
set (CMAKE_AUTOUIC ON)

# Identify Qt version we're using
message (STATUS "Attempting to identify Qt version.")
find_package (Qt6 COMPONENTS Core)
if (Qt6_FOUND)
	set (QT_VERSION 6)
else()
	find_package (Qt5 COMPONENTS Core)
	if (Qt5_FOUND)
		set (QT_VERSION 5)
	else()
		message (FATAL_ERROR "Unable to locate either Qt5 or Qt6!")
	endif()
endif()
message(STATUS "Found Qt${QT_VERSION}")

set (QT_COMPONENTS Core Gui Widgets LinguistTools)
if (QT_VERSION EQUAL 6)
	list (APPEND QT_COMPONENTS Core5Compat)
endif (QT_VERSION EQUAL 6)
find_package ("Qt${QT_VERSION}" COMPONENTS ${QT_COMPONENTS} REQUIRED)

# C/C++ & qrc Qt Resource files
set (BT_SOURCES
	audio/audio_stream.cpp
	audio/audio_stream_rtaudio.cpp
	bamboo_tracker.cpp
	chip/chip.cpp
	chip/mame/fmopn.c
	chip/mame/mame_2608.cpp
	chip/mame/ymdeltat.c
	chip/nuked/nuked_2608.cpp
	chip/nuked/ym3438.c
	chip/opna.cpp
	chip/register_write_logger.cpp
	chip/resampler.cpp
	command/command_manager.cpp
	command/instrument/add_instrument_command.cpp
	command/instrument/change_instrument_name_command.cpp
	command/instrument/clone_instrument_command.cpp
	command/instrument/deep_clone_instrument_command.cpp
	command/instrument/remove_instrument_command.cpp
	command/instrument/swap_instruments_command.cpp
	command/order/clone_order_command.cpp
	command/order/clone_patterns_command.cpp
	command/order/delete_order_command.cpp
	command/order/duplicate_order_command.cpp
	command/order/insert_order_below_command.cpp
	command/order/move_order_command.cpp
	command/order/paste_copied_data_to_order_command.cpp
	command/order/set_pattern_to_order_command.cpp
	command/pattern/change_values_in_pattern_command.cpp
	command/pattern/delete_previous_step_command.cpp
	command/pattern/erase_cells_in_pattern_command.cpp
	command/pattern/erase_effect_in_step_command.cpp
	command/pattern/erase_effect_value_in_step_command.cpp
	command/pattern/erase_instrument_in_step_command.cpp
	command/pattern/erase_step_command.cpp
	command/pattern/erase_volume_in_step_command.cpp
	command/pattern/expand_pattern_command.cpp
	command/pattern/insert_step_command.cpp
	command/pattern/interpolate_pattern_command.cpp
	command/pattern/paste_copied_data_to_pattern_command.cpp
	command/pattern/paste_insert_copied_data_to_pattern_command.cpp
	command/pattern/paste_mix_copied_data_to_pattern_command.cpp
	command/pattern/paste_overwrite_copied_data_to_pattern_command.cpp
	command/pattern/pattern_command_utils.cpp
	command/pattern/replace_instrument_in_pattern_command.cpp
	command/pattern/reverse_pattern_command.cpp
	command/pattern/set_echo_buffer_access_command.cpp
	command/pattern/set_effect_id_to_step_command.cpp
	command/pattern/set_effect_value_to_step_command.cpp
	command/pattern/set_instrument_to_step_command.cpp
	command/pattern/set_key_off_to_step_command.cpp
	command/pattern/set_key_on_to_step_command.cpp
	command/pattern/set_volume_to_step_command.cpp
	command/pattern/shrink_pattern_command.cpp
	command/pattern/transpose_note_in_pattern_command.cpp
	configuration.cpp
	format/wopn_file.c
	gui/bookmark_manager_form.cpp
	gui/color_palette.cpp
	gui/command/instrument/add_instrument_qt_command.cpp
	gui/command/instrument/change_instrument_name_qt_command.cpp
	gui/command/instrument/clone_instrument_qt_command.cpp
	gui/command/instrument/deep_clone_instrument_qt_command.cpp
	gui/command/instrument/instrument_command_qt_utils.cpp
	gui/command/instrument/remove_instrument_qt_command.cpp
	gui/command/instrument/swap_instruments_qt_command.cpp
	gui/command/order/order_list_common_qt_command.cpp
	gui/command/pattern/pattern_editor_common_qt_command.cpp
	gui/comment_edit_dialog.cpp
	gui/configuration_dialog.cpp
	gui/configuration_handler.cpp
	gui/drop_detect_list_widget.cpp
	gui/effect_description.cpp
	gui/effect_list_dialog.cpp
	gui/event_guard.cpp
	gui/file_history.cpp
	gui/file_io_error_message_box.cpp
	gui/fm_envelope_set_edit_dialog.cpp
	gui/go_to_dialog.cpp
	gui/groove_settings_dialog.cpp
	gui/gui_utils.cpp
	gui/hide_tracks_dialog.cpp
	gui/instrument_editor/adpcm_drumkit_editor.cpp
	gui/instrument_editor/adpcm_instrument_editor.cpp
	gui/instrument_editor/adpcm_sample_editor.cpp
	gui/instrument_editor/arpeggio_macro_editor.cpp
	gui/instrument_editor/fm_instrument_editor.cpp
	gui/instrument_editor/fm_operator_table.cpp
	gui/instrument_editor/grid_settings_dialog.cpp
	gui/instrument_editor/instrument_editor.cpp
	gui/instrument_editor/instrument_editor_manager.cpp
	gui/instrument_editor/instrument_editor_utils.cpp
	gui/instrument_editor/pan_macro_editor.cpp
	gui/instrument_editor/sample_length_dialog.cpp
	gui/instrument_editor/ssg_instrument_editor.cpp
	gui/instrument_editor/tone_noise_macro_editor.cpp
	gui/instrument_editor/visualized_instrument_macro_editor.cpp
	gui/instrument_selection_dialog.cpp
	gui/keyboard_shortcut_list_dialog.cpp
	gui/key_signature_manager_form.cpp
	gui/labeled_horizontal_slider.cpp
	gui/labeled_vertical_slider.cpp
	gui/mainwindow.cpp
	gui/module_properties_dialog.cpp
	gui/note_name_manager.cpp
	gui/order_list_editor/order_list_editor.cpp
	gui/order_list_editor/order_list_panel.cpp
	gui/pattern_editor/pattern_editor.cpp
	gui/pattern_editor/pattern_editor_panel.cpp
	gui/q_application_wrapper.cpp
	gui/s98_export_settings_dialog.cpp
	gui/slider_style.cpp
	gui/swap_tracks_dialog.cpp
	gui/transpose_song_dialog.cpp
	gui/vgm_export_settings_dialog.cpp
	gui/wave_export_settings_dialog.cpp
	gui/wave_visual.cpp
	gui/wheel_spin_box.cpp
	instrument/abstract_instrument_property.cpp
	instrument/bank.cpp
	instrument/effect_iterator.cpp
	instrument/envelope_fm.cpp
	instrument/instrument.cpp
	instrument/instruments_manager.cpp
	instrument/lfo_fm.cpp
	instrument/sample_adpcm.cpp
	instrument/sequence_property.cpp
	io/bank_io.cpp
	io/binary_container.cpp
	io/btb_io.cpp
	io/bti_io.cpp
	io/btm_io.cpp
	io/dat_io.cpp
	io/dmp_io.cpp
	io/export_io.cpp
	io/ff_io.cpp
	io/instrument_io.cpp
	io/ins_io.cpp
	io/io_utils.cpp
	io/module_io.cpp
	io/opni_io.cpp
	io/p86_io.cpp
	io/ppc_io.cpp
	io/pps_io.cpp
	io/pvi_io.cpp
	io/pzi_io.cpp
	io/raw_adpcm_io.cpp
	io/tfi_io.cpp
	io/vgi_io.cpp
	io/wav_container.cpp
	io/wopn_io.cpp
	io/y12_io.cpp
	jamming.cpp
	main.cpp
	midi/midi.cpp
	module/effect.cpp
	module/module.cpp
	module/pattern.cpp
	module/song.cpp
	module/step.cpp
	module/track.cpp
	note.cpp
	opna_controller.cpp
	playback.cpp
	precise_timer.cpp
	song_length_calculator.cpp
	tick_counter.cpp

	resources/doc/doc.qrc
	resources/icon/icon.qrc
)

# UI forms
set (BT_FORMS
	gui/bookmark_manager_form.ui
	gui/comment_edit_dialog.ui
	gui/configuration_dialog.ui
	gui/effect_list_dialog.ui
	gui/fm_envelope_set_edit_dialog.ui
	gui/go_to_dialog.ui
	gui/groove_settings_dialog.ui
	gui/hide_tracks_dialog.ui
	gui/instrument_editor/adpcm_drumkit_editor.ui
	gui/instrument_editor/adpcm_instrument_editor.ui
	gui/instrument_editor/adpcm_sample_editor.ui
	gui/instrument_editor/fm_instrument_editor.ui
	gui/instrument_editor/fm_operator_table.ui
	gui/instrument_editor/grid_settings_dialog.ui
	gui/instrument_editor/sample_length_dialog.ui
	gui/instrument_editor/ssg_instrument_editor.ui
	gui/instrument_editor/visualized_instrument_macro_editor.ui
	gui/instrument_selection_dialog.ui
	gui/keyboard_shortcut_list_dialog.ui
	gui/key_signature_manager_form.ui
	gui/labeled_horizontal_slider.ui
	gui/labeled_vertical_slider.ui
	gui/mainwindow.ui
	gui/module_properties_dialog.ui
	gui/order_list_editor/order_list_editor.ui
	gui/pattern_editor/pattern_editor.ui
	gui/s98_export_settings_dialog.ui
	gui/swap_tracks_dialog.ui
	gui/transpose_song_dialog.ui
	gui/vgm_export_settings_dialog.ui
	gui/wave_export_settings_dialog.ui
)

set (BT_INCLUDEPATHS
	"${CMAKE_CURRENT_SOURCE_DIR}"
	instrument
	module
)

option (REAL_CHIP "Compile with support for SCCI and C86CTL interfaces to a real OPNA chip" ${WIN32})

if (REAL_CHIP)
	list (APPEND BT_SOURCES
		chip/c86ctl/c86ctl_wrapper.cpp
		chip/scci/scci_wrapper.cpp
	)
	list (APPEND BT_INCLUDEPATHS
		chip/c86ctl
		chip/scci
	)
endif (REAL_CHIP)

if (APPLE)
	set (MACOSX_BUNDLE_ICON_FILE BambooTracker.icns)
	set (MACOSX_ICNS "${CMAKE_CURRENT_SOURCE_DIR}/resources/icon/${MACOSX_BUNDLE_ICON_FILE}")
	set_source_files_properties (${MACOSX_ICNS}
		PROPERTIES MACOSX_PACKAGE_LOCATION "Resources"
	)
endif()
add_executable (BambooTracker WIN32 MACOSX_BUNDLE
	${BT_SOURCES} ${BT_FORMS}
	${MACOSX_ICNS}
)

target_include_directories (BambooTracker PRIVATE ${BT_INCLUDEPATHS})
target_compile_options (BambooTracker PRIVATE ${BT_WARNFLAGS})

if (REAL_CHIP)
	target_compile_definitions (BambooTracker PRIVATE USE_REAL_CHIP)
endif (REAL_CHIP)

if (QT_VERSION EQUAL 6)
	set (QT_LIBRARIES Qt6::Core Qt6::Gui Qt6::Widgets Qt6::Core5Compat)
else()
	set (QT_LIBRARIES Qt5::Core Qt5::Gui Qt5::Widgets)
endif()
target_link_libraries (BambooTracker PUBLIC ${QT_LIBRARIES})

# Dependencies
set (THREADS_PREFER_PTHREAD_FLAG ON)
include (FindThreads REQUIRED)
target_include_directories (BambooTracker SYSTEM PRIVATE ${EMU2149_INCLUDE_DIRS} ${RTAUDIO_INCLUDE_DIRS} ${RTMIDI_INCLUDE_DIRS})
target_compile_options (BambooTracker PRIVATE ${EMU2149_COMPILE_OPTIONS} ${RTAUDIO_COMPILE_OPTIONS} ${RTMIDI_COMPILE_OPTIONS})
if ("${CMAKE_VERSION}" VERSION_LESS "3.13")
	message (WARNING
		"CMake version is <3.13, using old pkg-config LDFLAGS. "
		"You may encounter linking problems with these!"
	)
	target_link_libraries (BambooTracker PRIVATE ${EMU2149_LDFLAGS_LEGACY} ${RTAUDIO_LDFLAGS_LEGACY} ${RTMIDI_LDFLAGS_LEGACY} Threads::Threads)
else()
	target_link_libraries (BambooTracker PRIVATE ${EMU2149_LIBRARIES} ${RTAUDIO_LIBRARIES} ${RTMIDI_LIBRARIES} Threads::Threads)
	target_link_directories (BambooTracker PRIVATE ${EMU2149_LINK_DIRS} ${RTAUDIO_LINK_DIRS} ${RTMIDI_LINK_DIRS})
	target_link_options (BambooTracker PRIVATE ${EMU2149_LINK_OPTIONS} ${RTAUDIO_LINK_OPTIONS} ${RTMIDI_LINK_OPTIONS})
endif()

install (TARGETS BambooTracker DESTINATION "${CMAKE_INSTALL_BINDIR}")

add_subdirectory (lang)

## bambootracker 0.1.5

=== debian/changelog ===
bambootracker (0.1.5-1) unstable; urgency=high

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Feb 2019 11:33:02 +0100

bambootracker (0.1.4-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 02 Jan 2019 11:45:17 +0100

bambootracker (0.1.3-2) unstable; urgency=medium

  * debian/control:
    - improve description. (Closes: #917399)
    - add to Multimedia Team

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 28 Dec 2018 14:48:48 +0100

bambootracker (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #917169)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 15 Dec 2018 15:07:55 +0100

=== debian/control ===
Source: bambootracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins
Standards-Version: 4.2.1
Homepage: https://github.com/rerrahkr/BambooTracker

Package: bambootracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5multimedia5-plugins
Description: YM2608 (OPNA, sound chip of Yamaha) music tracker
 This is a music tracker for the Yamaha sound chip YM2608 (OPNA) which was used
 in NEC PC-8801/9801 series computers.

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/rerrahkr/BambooTracker/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## bambootracker 0.1.5.1+rb2

=== debian/changelog ===
bambootracker (0.1.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Mon, 01 Feb 2021 14:41:52 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins
+Build-Depends: debhelper (>= 11),
+               qtmultimedia5-dev, 
+               libqt5multimedia5-plugins,
+               qttools5-dev-tools
 Standards-Version: 4.2.1
 Homepage: https://github.com/rerrahkr/BambooTracker

## bambootracker 0.1.6

=== debian/changelog ===
bambootracker (0.1.6-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 18 Mar 2019 09:23:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11),
-               qtmultimedia5-dev, 
-               libqt5multimedia5-plugins,
-               qttools5-dev-tools
+Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools
 Standards-Version: 4.2.1
 Homepage: https://github.com/rerrahkr/BambooTracker

## bambootracker 0.2.3

=== debian/changelog ===
bambootracker (0.2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 01 Sep 2019 17:21:58 +0200

bambootracker (0.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 26 Jun 2019 13:12:48 +0200

bambootracker (0.2.1-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: added b-d libasound2-dev.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Jun 2019 09:55:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools
+Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev
 Standards-Version: 4.2.1
 Homepage: https://github.com/rerrahkr/BambooTracker

## bambootracker 0.3.4

=== debian/changelog ===
bambootracker (0.3.4-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add Suggests field.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 30 Jan 2020 09:13:05 +0100

bambootracker (0.3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 18 Dec 2019 06:27:17 +0100

bambootracker (0.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Dec 2019 07:17:55 +0100

bambootracker (0.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 02 Dec 2019 13:28:59 +0100

bambootracker (0.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 28 Oct 2019 08:27:02 +0100

bambootracker (0.2.4-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - Added Vcs fields.
    - Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 18 Sep 2019 09:58:27 +0200

=== debian/control ===
Source: bambootracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev
Standards-Version: 4.4.1
Homepage: https://github.com/rerrahkr/BambooTracker
Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker

Package: bambootracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5multimedia5-plugins
Suggests: opencubicplayer, modplug-tools, protracker, schism, klystrack, hivelytracker, cheesecutter
Description: YM2608 (OPNA, sound chip of Yamaha) music tracker
 This is a music tracker for the Yamaha sound chip YM2608 (OPNA) which was used
 in NEC PC-8801/9801 series computers.

## bambootracker 0.3.5

=== debian/changelog ===
bambootracker (0.3.5-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 06:07:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper-compat (= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev
-Standards-Version: 4.4.1
-Homepage: https://github.com/rerrahkr/BambooTracker
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
+Homepage: https://github.com/rerrahkr/BambooTracker
 
 Package: bambootracker
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ --sourcedirectory=BambooTracker

override_dh_compress:
	dh_compress -X.btm

## bambootracker 0.4.2

=== debian/changelog ===
bambootracker (0.4.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 12 May 2020 13:09:54 +0200

bambootracker (0.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 23 Apr 2020 14:27:44 +0200

bambootracker (0.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 28 Mar 2020 12:59:10 +0100

## bambootracker 0.4.6

=== debian/changelog ===
bambootracker (0.4.6-1build1) jammy; urgency=medium

  * No-change rebuild against librtmidi6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 03:30:21 +0000

bambootracker (0.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Thanks Adrian Bunk for the hint to fix FTBFS on 32bit.
    (Closes: #974580).
  * Bump standards version to 4.5.1.
  * d/manpages: added.
  * d/copyright: update paragraph paths.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 28 Feb 2021 00:02:47 +0100

bambootracker (0.4.5+git20121209-1) unstable; urgency=medium

  * New upstream version.
  * d/control: build-depends librtmidi-dev added. (Closes: #974580)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 09 Dec 2020 07:48:47 +0100

bambootracker (0.4.5-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: drop LDFLAGS var as it is default now.
  * Bump debhelper version to 13.
  * d/copyright:
    - Drop wrong copyright Regents part.
    - Update CC-BY-SA 2.5 to CC-BY-SA 3.0. (gh#260)
    - Update copyright years.
    - Update wild card match for icons (moved).
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/manpages: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 09 Nov 2020 15:24:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: bambootracker
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), qtmultimedia5-dev, libqt5multimedia5-plugins, qttools5-dev-tools, libasound2-dev, librtmidi-dev
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
+Rules-Requires-Root: no
 Homepage: https://github.com/rerrahkr/BambooTracker
 
 Package: bambootracker

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT=qt5

%:
	dh $@ --sourcedirectory=BambooTracker
#	dh $@

override_dh_auto_configure:
	dh_auto_configure -- "CONFIG+=system_rtaudio" "CONFIG+=system_rtmidi"

override_dh_fixperms:
#	rm debian/bambootracker/usr/share/doc/BambooTracker/LICENSE.gz
#	rm debian/bambootracker/usr/share/BambooTracker/specs/archives/*.md
	mkdir -p debian/bambootracker/usr/share/man/man1/
	mv debian/bambootracker/usr/share/man/en/man1/BambooTracker.1.gz debian/bambootracker/usr/share/man/man1/
	dh_fixperms

override_dh_compress:
	dh_compress -X.btm

## bambootracker 0.5.1

=== debian/changelog ===
bambootracker (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
    + Fix GCC12 build (Closes: #1012899)
  * d/rules: Declare the qmake buildsystem
  * Refresh lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 24 Jul 2022 17:40:40 +0200

bambootracker (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
    + Build with jack, pulsaudio and rtaudio support
  * Add emu2149 sources as missing-sources, a PSG emulator Build-Dependency
  * d/control:
    + Add me as uploader
    + Wrap-and-sort B-Ds and Depends
    + Update B-Ds: Add libjack-jackd2-dev | libjack-dev,
      mark libasound2-dev as linux-any, add libpulse-dev and librtaudio-dev
    + Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself to the d/ section
  * d/docs: Don't install old/archived specs
  * Install the 256x256 icon from upstream
  * Add d/lintian-overrides
  * d/rules:
    + Use the root dir to build
    + Copy emu2149 files before dh_auto_configure
    + Delete the man/en dir after moving the man file
    + Avoid two /usr/share/doc folders
  * Avoid double installations of examples

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 03 Jun 2022 14:50:33 +0200

=== debian/control ===
Source: bambootracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends: debhelper-compat (= 13),
               libasound2-dev [linux-any],
               libjack-jackd2-dev | libjack-dev,
               libqt5multimedia5-plugins,
               libpulse-dev,
               librtaudio-dev,
               librtmidi-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
Rules-Requires-Root: no
Homepage: https://github.com/rerrahkr/BambooTracker

Package: bambootracker
Architecture: any
Depends: libqt5multimedia5-plugins, ${misc:Depends}, ${shlibs:Depends}
Suggests: cheesecutter,
          hivelytracker,
          klystrack,
          modplug-tools,
          opencubicplayer,
          protracker,
          schism
Description: YM2608 (OPNA, sound chip of Yamaha) music tracker
 This is a music tracker for the Yamaha sound chip YM2608 (OPNA) which was used
 in NEC PC-8801/9801 series computers.

## bambootracker 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.10)
-project (BambooTracker VERSION 0.5.1 LANGUAGES C CXX)
+project (BambooTracker VERSION 0.6.1 LANGUAGES C CXX)
 
 option (INSTALL_FLAT
 	"Install everything under CMAKE_INSTALL_PREFIX instead of using Unix-style directory layout (GNUInstallDirs)" ${WIN32}

=== BambooTracker/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	audio/audio_stream.cpp
 	audio/audio_stream_rtaudio.cpp
 	bamboo_tracker.cpp
+	chip/blip_buf/blip_buf.c
 	chip/chip.cpp
 	chip/mame/fmopn.c
 	chip/mame/mame_2608.cpp
@@ -60,6 +61,10 @@
 	chip/nuked/ym3438.c
 	chip/opna.cpp
 	chip/register_write_logger.cpp
+	chip/ymfm/ymfm_2608.cpp
+	chip/ymfm/ymfm_adpcm.cpp
+	chip/ymfm/ymfm_opn.cpp
+	chip/ymfm/ymfm_ssg.cpp
 	chip/resampler.cpp
 	command/command_manager.cpp
 	command/instrument/add_instrument_command.cpp
@@ -98,6 +103,7 @@
 	command/pattern/set_effect_id_to_step_command.cpp
 	command/pattern/set_effect_value_to_step_command.cpp
 	command/pattern/set_instrument_to_step_command.cpp
+	command/pattern/set_key_cut_to_step_command.cpp
 	command/pattern/set_key_off_to_step_command.cpp
 	command/pattern/set_key_on_to_step_command.cpp
 	command/pattern/set_volume_to_step_command.cpp
@@ -125,11 +131,13 @@
 	gui/event_guard.cpp
 	gui/file_history.cpp
 	gui/file_io_error_message_box.cpp
+	gui/font_info_widget.cpp
 	gui/fm_envelope_set_edit_dialog.cpp
 	gui/go_to_dialog.cpp
 	gui/groove_settings_dialog.cpp
 	gui/gui_utils.cpp
 	gui/hide_tracks_dialog.cpp
+	gui/instrument_editor/adpcm_address_spin_box.cpp
 	gui/instrument_editor/adpcm_drumkit_editor.cpp
 	gui/instrument_editor/adpcm_instrument_editor.cpp
 	gui/instrument_editor/adpcm_sample_editor.cpp
@@ -190,6 +198,7 @@
 	io/module_io.cpp
 	io/opni_io.cpp
 	io/p86_io.cpp
+	io/pmb_io.cpp
 	io/ppc_io.cpp
 	io/pps_io.cpp
 	io/pvi_io.cpp
@@ -226,6 +235,7 @@
 	gui/comment_edit_dialog.ui
 	gui/configuration_dialog.ui
 	gui/effect_list_dialog.ui
+	gui/font_info_widget.ui
 	gui/fm_envelope_set_edit_dialog.ui
 	gui/go_to_dialog.ui
 	gui/groove_settings_dialog.ui

=== submodules/CMakeLists.txt ===
### emu2149
add_subdirectory (emu2149)
set (EMU2149_INCLUDE_DIRS ${EMU2149_INCLUDE_DIRS} PARENT_SCOPE)
set (EMU2149_COMPILE_OPTIONS ${EMU2149_CFLAGS_OTHER} PARENT_SCOPE)
set (EMU2149_LIBRARIES ${EMU2149_LIBRARIES} PARENT_SCOPE)
set (EMU2149_LIBRARY_DIRS ${EMU2149_LIBRARY_DIRS} PARENT_SCOPE)
set (EMU2149_LINK_OPTIONS ${EMU2149_LDFLAGS_OTHER} PARENT_SCOPE)
set (EMU2149_LDFLAGS_LEGACY ${EMU2149_LDFLAGS} PARENT_SCOPE)

include (FindPkgConfig OPTIONAL)

### RtAudio
option (SYSTEM_RTAUDIO "Use system-installed RtAudio instead of vendored one" OFF)

if (SYSTEM_RTAUDIO)
	if (PKG_CONFIG_FOUND)
		pkg_check_modules (RTAUDIO rtaudio>=5.1)
	endif (PKG_CONFIG_FOUND)

	if (NOT RTAUDIO_FOUND)
		find_library (RTAUDIO_MANUAL_LIBRARY rtaudio)
		find_path (RTAUDIO_MANUAL_INCLUDE_DIRS NAMES "RtAudio.h" PATH_SUFFIXES "include/rtaudio")

		if (RTAUDIO_MANUAL_LIBRARY AND RTAUDIO_MANUAL_INCLUDE_DIRS)
			include (CheckCXXSymbolExists REQUIRED)
			set (CMAKE_REQUIRED_INCLUDES ${RTAUDIO_MANUAL_INCLUDE_DIRS})
			set (CMAKE_REQUIRED_LIBRARIES ${RTAUDIO_MANUAL_LIBRARY})
			check_cxx_symbol_exists (RtAudio::getApiDisplayName "RtAudio.h" RTAUDIO_MANUAL_SUFFICIENT)

			if (RTAUDIO_MANUAL_SUFFICIENT)
				set (RTAUDIO_INCLUDE_DIRS ${RTAUDIO_MANUAL_INCLUDE_DIRS})
				set (RTAUDIO_LIBRARIES ${RTAUDIO_MANUAL_LIBRARY})
				set (RTAUDIO_LDFLAGS ${RTAUDIO_LIBRARIES})
			else()
				message (FATAL_ERROR
					"System-installed RtAudio requested but no compatible version found (symbol 'RtAudio::getApiDisplayName' missing)"
				)
			endif()
		else()
			message (FATAL_ERROR "System-installed RtAudio requested but not found")
		endif()
	endif (NOT RTAUDIO_FOUND)
else()
	add_subdirectory (RtAudio)
endif()
set (RTAUDIO_INCLUDE_DIRS ${RTAUDIO_INCLUDE_DIRS} PARENT_SCOPE)
set (RTAUDIO_COMPILE_OPTIONS ${RTAUDIO_CFLAGS_OTHER} PARENT_SCOPE)
set (RTAUDIO_LIBRARIES ${RTAUDIO_LIBRARIES} PARENT_SCOPE)
set (RTAUDIO_LIBRARY_DIRS ${RTAUDIO_LIBRARY_DIRS} PARENT_SCOPE)
set (RTAUDIO_LINK_OPTIONS ${RTAUDIO_LDFLAGS_OTHER} PARENT_SCOPE)
set (RTAUDIO_LDFLAGS_LEGACY ${RTAUDIO_LDFLAGS} PARENT_SCOPE)

### RtMidi
option(SYSTEM_RTMIDI "Use system-installed RtMidi instead of vendored one" OFF)

if (SYSTEM_RTMIDI)
	if (PKG_CONFIG_FOUND)
		pkg_check_modules (RTMIDI rtmidi>=4.0)
	endif (PKG_CONFIG_FOUND)

	if (NOT RTMIDI_FOUND)
		find_library (RTMIDI_MANUAL_LIBRARY rtmidi)
		find_path (RTMIDI_MANUAL_INCLUDE_DIRS NAMES "RtMidi.h" PATH_SUFFIXES "include/rtmidi")

		if (RTAUDIO_MANUAL_LIBRARY AND RTAUDIO_MANUAL_INCLUDE_DIRS)
			set (RTMIDI_INCLUDE_DIRS ${RTMIDI_MANUAL_INCLUDE_DIRS})
			set (RTMIDI_LIBRARIES ${RTMIDI_MANUAL_LIBRARY})
			set (RTMIDI_LDFLAGS ${RTMIDI_LIBRARIES})
		else()
			message (FATAL_ERROR "System-installed RtMidi requested but not found")
		endif()
	endif (NOT RTMIDI_FOUND)
else()
	add_subdirectory(RtMidi)
endif()
set (RTMIDI_INCLUDE_DIRS ${RTMIDI_INCLUDE_DIRS} PARENT_SCOPE)
set (RTMIDI_COMPILE_OPTIONS ${RTMIDI_CFLAGS_OTHER} PARENT_SCOPE)
set (RTMIDI_LIBRARIES ${RTMIDI_LIBRARIES} PARENT_SCOPE)
set (RTMIDI_LIBRARY_DIRS ${RTMIDI_LIBRARY_DIRS} PARENT_SCOPE)
set (RTMIDI_LINK_OPTIONS ${RTMIDI_LDFLAGS_OTHER} PARENT_SCOPE)
set (RTMIDI_LDFLAGS_LEGACY ${RTMIDI_LDFLAGS} PARENT_SCOPE)

=== BambooTracker/lang/CMakeLists.txt ===
set (BT_TRANSLATIONS
	bamboo_tracker_ja.ts
	bamboo_tracker_fr.ts
	bamboo_tracker_pl.ts
)

if (QT_VERSION EQUAL 6)
	qt6_add_translation (TRANSLATIONS ${BT_TRANSLATIONS})
else()
	qt5_add_translation (TRANSLATIONS ${BT_TRANSLATIONS})
endif()

add_custom_target (BambooTracker_translations ALL DEPENDS ${TRANSLATIONS})
install (FILES ${TRANSLATIONS} DESTINATION "${BT_LANGDIR}")

=== debian/changelog ===
bambootracker (0.6.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:34:06 +1100

bambootracker (0.6.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:56:58 +0000

bambootracker (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Dennis Braun <snd@debian.org>  Tue, 07 Feb 2023 18:17:12 +0100

bambootracker (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Update my email address
  * Prefer libjack-dev over libjack-jackd2-dev
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sat, 28 Jan 2023 23:19:52 +0100

bambootracker (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 23 Sep 2022 15:13:49 +0200

bambootracker (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 26 Aug 2022 14:53:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: bambootracker
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
-               libjack-jackd2-dev | libjack-dev,
+               libjack-dev | libjack-jackd2-dev,
                libqt5multimedia5-plugins,
                libpulse-dev,
                librtaudio-dev,
                librtmidi-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
 Rules-Requires-Root: no

## bambootracker 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.10)
-project (BambooTracker VERSION 0.6.1 LANGUAGES C CXX)
+project (BambooTracker VERSION 0.6.3 LANGUAGES C CXX)
 
 option (INSTALL_FLAT
 	"Install everything under CMAKE_INSTALL_PREFIX instead of using Unix-style directory layout (GNUInstallDirs)" ${WIN32}

=== debian/changelog ===
bambootracker (0.6.3-1) experimental; urgency=medium

  * New upstream version 0.6.3
    + Build with RtAudio 6 (Closes: #1051573)
  * Remove obsolete patch
  * Clean modified files after successful build (Closes: #1044108)

 -- Dennis Braun <snd@debian.org>  Fri, 22 Sep 2023 09:44:04 +0200

bambootracker (0.6.2-1) experimental; urgency=medium

  * New upstream version.
  * d/control: update maintainer address.
  * d/copyright: bump year.

 -- Gürkan Myczko <tar@debian.org>  Mon, 07 Aug 2023 08:18:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: bambootracker
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Gürkan Myczko <tar@debian.org>,
  Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
                libjack-dev | libjack-jackd2-dev,
                libqt5multimedia5-plugins,
                libpulse-dev,
-               librtaudio-dev,
+               librtaudio-dev (>= 6.0.1~ds),
                librtmidi-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools

## bambootracker 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.10)
-project (BambooTracker VERSION 0.6.3 LANGUAGES C CXX)
+project (BambooTracker VERSION 0.6.4 LANGUAGES C CXX)
 
 option (INSTALL_FLAT
 	"Install everything under CMAKE_INSTALL_PREFIX instead of using Unix-style directory layout (GNUInstallDirs)" ${WIN32}

=== submodules/RtMidi/CMakeLists.txt ===
set(RTMIDI_TARGETNAME_UNINSTALL "uninstall-rtmidi" CACHE STRING "Name of 'uninstall' build target" FORCE)
set(RTMIDI_BUILD_SHARED_LIBS OFF)
set(RTMIDI_BUILD_TESTING OFF)

add_subdirectory(src EXCLUDE_FROM_ALL)

set (RTMIDI_INCLUDE_DIRS src PARENT_SCOPE)
set (RTMIDI_LIBRARIES rtmidi PARENT_SCOPE)
set (RTMIDI_LDFLAGS rtmidi PARENT_SCOPE)

=== debian/changelog ===
bambootracker (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Drop patches applied by upstream

 -- Dennis Braun <snd@debian.org>  Sun, 06 Oct 2024 12:07:27 +0200

bambootracker (0.6.3-3) unstable; urgency=medium

  * Make Werror optional for QMake (Closes: #1074837)
  * Change strncpy to memcpy

 -- Dennis Braun <snd@debian.org>  Wed, 07 Aug 2024 22:21:25 +0200

bambootracker (0.6.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sat, 22 Jun 2024 15:08:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>,
+Uploaders: Alex Myczko <tar@debian.org>,
  Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
@@ -13,7 +13,7 @@
                librtmidi-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
 Rules-Requires-Root: no

## bambootracker 0.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.10)
-project (BambooTracker VERSION 0.6.4 LANGUAGES C CXX)
+project (BambooTracker VERSION 0.6.5 LANGUAGES C CXX)
 
 option (INSTALL_FLAT
 	"Install everything under CMAKE_INSTALL_PREFIX instead of using Unix-style directory layout (GNUInstallDirs)" ${WIN32}

=== BambooTracker/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 set (CMAKE_C_STANDARD 11)
 set (CMAKE_C_STANDARD_REQUIRED ON)
 
-# C++14 required
-set (CMAKE_CXX_STANDARD 14)
+# C++17 required
+set (CMAKE_CXX_STANDARD 17)
 set (CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set (BT_WARNFLAGS)
@@ -296,6 +296,31 @@
 	${MACOSX_ICNS}
 )
 
+# CMake Qt lacks a publicly-supported way of generating the data required for setting the Windows app icon at build time, unlike QMake. Use an internal Qt function.
+# https://bugreports.qt.io/browse/QTBUG-87618
+# https://gitlab.kitware.com/cmake/cmake/-/issues/21314
+if (WIN32 AND QT_VERSION EQUAL 6)
+	set_target_properties (BambooTracker PROPERTIES
+		QT_TARGET_VERSION "${PROJECT_VERSION}"
+		QT_TARGET_COMPANY_NAME "${PROJECT_NAME}"
+		QT_TARGET_DESCRIPTION "YM2608 music tracker"
+		QT_TARGET_COPYRIGHT "Copyright (C) Rerrah and other BambooTracker contributors"
+		QT_TARGET_PRODUCT_NAME "${PROJECT_NAME}"
+		QT_TARGET_RC_ICONS "${CMAKE_CURRENT_SOURCE_DIR}/resources/icon/BambooTracker.ico"
+	)
+
+	# In case this ever gets changed / breaks, only try it if there's some chance of it working & allow opt-out
+	set (GENERATE_WIN32_RC_DEFAULT OFF)
+	if (COMMAND _qt_internal_generate_win32_rc_file)
+		set (GENERATE_WIN32_RC_DEFAULT ON)
+	endif()
+	option (GENERATE_WIN32_RC "Use a Qt6-internal function to generate a Win32 RC file for the project. This is needed to get an app icon when using CMake." ${GENERATE_WIN32_RC_DEFAULT})
+
+	if (GENERATE_WIN32_RC)
+		_qt_internal_generate_win32_rc_file (BambooTracker)
+	endif()
+endif()
+
 target_include_directories (BambooTracker PRIVATE ${BT_INCLUDEPATHS})
 target_compile_options (BambooTracker PRIVATE ${BT_WARNFLAGS})
 
@@ -329,4 +354,3 @@
 
 install (TARGETS BambooTracker DESTINATION "${CMAKE_INSTALL_BINDIR}")
 
-add_subdirectory (lang)

=== data/CMakeLists.txt ===
option (INSTALL_MINIMAL "Only install essential files (binary & licenses)" OFF)

if (NOT INSTALL_MINIMAL)
	install (DIRECTORY demos skins DESTINATION "${BT_DATADIR}")
	install (DIRECTORY specs DESTINATION "${CMAKE_INSTALL_DOCDIR}")
	if (UNIX)
		install (DIRECTORY man/ DESTINATION "${CMAKE_INSTALL_MANDIR}" PATTERN "man/*")
		if (NOT APPLE)
			install (DIRECTORY applications mime DESTINATION "${CMAKE_INSTALL_DATADIR}")
			install (DIRECTORY icons/ DESTINATION "${BT_ICONDIR}" PATTERN "icons/*")
		endif (NOT APPLE)
	endif (UNIX)
endif (NOT INSTALL_MINIMAL)

=== BambooTracker/lang/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 	bamboo_tracker_ja.ts
 	bamboo_tracker_fr.ts
 	bamboo_tracker_pl.ts
+	bamboo_tracker_es.ts
 )
 
 if (QT_VERSION EQUAL 6)

=== submodules/RtAudio/CMakeLists.txt ===
set(RTAUDIO_TARGETNAME_UNINSTALL "uninstall-rtaudio" CACHE STRING "Name of 'uninstall' build target" FORCE)
set(RTAUDIO_BUILD_SHARED_LIBS OFF)
set(RTAUDIO_BUILD_TESTING OFF)

add_subdirectory(src EXCLUDE_FROM_ALL)

set (RTAUDIO_INCLUDE_DIRS src PARENT_SCOPE)
set (RTAUDIO_LIBRARIES rtaudio PARENT_SCOPE)
set (RTAUDIO_LDFLAGS rtaudio PARENT_SCOPE)

=== submodules/emu2149/CMakeLists.txt ===
project(emu2149 LANGUAGES C)

add_subdirectory(src EXCLUDE_FROM_ALL)

set (EMU2149_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src" PARENT_SCOPE)
set (EMU2149_LIBRARIES emu2149 PARENT_SCOPE)
set (EMU2149_LDFLAGS emu2149 PARENT_SCOPE)

=== debian/changelog ===
bambootracker (0.6.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1114059)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 21:23:24 +0300

bambootracker (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
    + Fix build with GCC-15 (Closes: #1096358)
  * Fix redundant-move warning
  * Bump Standards-Version to 4.7.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Tue, 18 Mar 2025 17:20:32 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                librtmidi-dev,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/bambootracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/bambootracker
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,17 +11,19 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --sourcedirectory=BambooTracker
-#	dh $@
+	dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
+	if [ ! -d submodules/emu2149/src ]; then mkdir submodules/emu2149/src; fi
+	cp debian/missing-sources/emu2149/* submodules/emu2149/src/
 	dh_auto_configure -- "CONFIG+=system_rtaudio" "CONFIG+=system_rtmidi"
 
 override_dh_fixperms:
-#	rm debian/bambootracker/usr/share/doc/BambooTracker/LICENSE.gz
-#	rm debian/bambootracker/usr/share/BambooTracker/specs/archives/*.md
 	mkdir -p debian/bambootracker/usr/share/man/man1/
 	mv debian/bambootracker/usr/share/man/en/man1/BambooTracker.1.gz debian/bambootracker/usr/share/man/man1/
+	rm -fr debian/bambootracker/usr/share/man/en \
+		debian/bambootracker/usr/share/doc/BambooTracker \
+		debian/bambootracker/usr/share/BambooTracker/specs
 	dh_fixperms
 
 override_dh_compress:
